tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christopher Schultz <ch...@christopherschultz.net>
Subject Re: Question regarding OpenSSL Version used in TC 7.x
Date Tue, 11 Dec 2012 18:17:54 GMT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Oliver,

On 12/11/12 12:14 PM, Oliver Zemann wrote:
> I would like to know if there is a list which version of TC
> (apr/native dll) was compiled against which version of openssl.

All three of tcnative, APR, and OpenSSL are shared libraries which
means that, barring static-linking or API compatibility, any version
of each should work with any version of any other. Of course, tcnative
requires certain minimum versions of both APR and OpenSSL at runtime,
and will complain if those are not available.

> I just noticed that my TC 7.0.23 is displaying openssl version
> 0.9.8h which has some known bugs. Its running on a win2k8 system
> installed as service.

What version of tcnative are you running? The win32 binary is not
packaged with Tomcat... only the tcnative source is included.

The current distribution of tcnative win32 binary (version 1.1.24) has
a file VERSIONS which recommends OpenSSL 1.0.1c, which appears to be
the version included with it (bin/openssl.exe).

Note that Tomcat 7.0.23 is kind of old. You should consider upgrading
both tcnative and Tomcat itself.

- -chris
-----BEGIN PGP SIGNATURE-----
Version: GnuPG/MacGPG2 v2.0.17 (Darwin)
Comment: GPGTools - http://gpgtools.org
Comment: Using GnuPG with undefined - http://www.enigmail.net/

iEYEAREIAAYFAlDHeNIACgkQ9CaO5/Lv0PDTtACfTH2Vx5U134niZAaWltI+Y8tG
sOgAoLBQowYMqv0O5WYgE8O+OT2BiOog
=Pqpg
-----END PGP SIGNATURE-----

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message